LinuxQMISDK: voiceSetSUPSServiceReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceSetSUPSServiceReq Struct Reference

## Data Fields
BYTE | voiceSvc
BYTE | reason
BYTE * | pServiceClass
BYTE * | pCallBarringPasswd
BYTE * | pCallForwardingNumber
BYTE * | pTimerVal
callFwdTypeAndPlan * | pCallFwdTypeAndPlan

## Detailed Description

This structure contains Supplementary Service request parameters related to different features and their activation, deactivation, registration and erasure (applicable only for 3GPP)

Parameters

  voiceSvc | Manages all call-independent supplementary services, such as activation, deactivation, registration, and erasure (mandatory) 0x01 - VOICE_SERVICE_ACTIVATE 0x02 - VOICE_SERVICE_DEACTIVATE 0x03 - VOICE_SERVICE_REGISTER 0x04 - VOICE_SERVICE_ERASE
  reason | supplementary service reason values (mandatory) 0x01 - QMI_VOICE_REASON_FWD_UNCONDITIONAL Unconditional call forwarding 0x02 - QMI_VOICE_REASON_FWD_MOBILEBUSY Forward when the mobile is busy 0x03 - QMI_VOICE_REASON_FWD_NOREPLY Forward when there is no reply 0x04 - QMI_VOICE_REASON_FWD_UNREACHABLE Forward when the call is unreachable 0x05 - QMI_VOICE_REASON_FWD_ALLFORWARDING All forwarding 0x06 - QMI_VOICE_REASON_FWD_ALLCONDITIONAL All conditional forwarding 0x07 - QMI_VOICE_REASON_BARR_ALLOUTGOING All outgoing calls are barred 0x08 - QMI_VOICE_REASON_BARR_OUTGOINGINT Outgoing internal calls are barred 0x09 - QMI_VOICE_REASON_BARR_OUTGOINGINTEXTOHOME Outgoing calls external to home are barred 0x0A - QMI_VOICE_REASON_BARR_ALLINCOMING All incoming calls are barred 0x0B - QMI_VOICE_REASON_BARR_INCOMINGROAMING Roaming incoming calls are barred 0x0C - QMI_VOICE_REASON_BARR_ALLBARRING All calls are barred 0x0D - QMI_VOICE_REASON_BARR_ALLOUTGOINGBARRING All outgoing calls are barred 0x0E - QMI_VOICE_REASON_BARR_ALLINCOMINGBARRING All incoming calls are barred 0x0F - QMI_VOICE_REASON_CALLWAITING Call waiting
  pServiceClass | Service class is a combination (sum) of information class constants (optional) See serviceClassInformation for more information
  pCallBarringPasswd | Password is required if call barring is provisioned using a password. Password consists of 4 ASCII digits. Range: 0000 to 9999 (optional)
  pCallForwardingNumber | Call forwarding number to be registered with the network. This has to be included in the request only when the service is set to VOICE_SERVICE_REGISTER. NULL terminated ASCII string. (optional)
  pTimerVal | Call forwarding no reply timer value in seconds. This has to be included in the request only when the service is set to VOICE_SERVICE_REGISTER and the reason is QMI_VOICE_REASON_FWD_NOREPLY. (optional) Range: 5 to 30 in steps of 5
  pCallFwdTypeAndPlan | Information about call forwarding type and plan. This parameter is ignored when the Call Forwarding Number is not included (optional) See callFwdTypeAndPlan for more information

## Field Documentation

BYTE* voiceSetSUPSServiceReq::pCallBarringPasswd

BYTE* voiceSetSUPSServiceReq::pCallForwardingNumber

callFwdTypeAndPlan* voiceSetSUPSServiceReq::pCallFwdTypeAndPlan

BYTE* voiceSetSUPSServiceReq::pServiceClass

BYTE* voiceSetSUPSServiceReq::pTimerVal

BYTE voiceSetSUPSServiceReq::reason

BYTE voiceSetSUPSServiceReq::voiceSvc